libstdc++: std::__fwdlist::_Node< _ValPtr > Struct Template Reference

libstdc++

std::__fwdlist::_Node< _ValPtr > Struct Template Reference

`#include <forward_list.h>`

Inheritance diagram for std::__fwdlist::_Node< _ValPtr >:
[legend]

## Public Types
using | _Base_ptr
using | _Node_ptr
using | value_type

## Public Member Functions
| _Node (_Node &&)=delete
_Base_ptr | _M_base_ptr () const
_Node_ptr | _M_node_ptr ()
void | _M_reverse_after () noexcept
_Base_ptr | _M_transfer_after (_Base_ptr __begin, _Base_ptr __end) noexcept
const value_type * | _M_valptr () const noexcept
value_type * | _M_valptr () noexcept

## Public Attributes
_Base_ptr | _M_next
_Uninit_storage | _M_u

## Detailed Description

template<typename _ValPtr>
struct std::__fwdlist::_Node< _ValPtr >

A helper node class for forward_list.

Definition at line 417 of file forward_list.h.

## Member Typedef Documentation

## ◆ _Base_ptr

using std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >::_Base_ptr
| inherited

Definition at line 349 of file forward_list.h.

## ◆ _Node_ptr

template<typename _ValPtr>

using std::__fwdlist::_Node< _ValPtr >::_Node_ptr

Definition at line 421 of file forward_list.h.

## ◆ value_type

template<typename _ValPtr>

using std::__fwdlist::_Node< _ValPtr >::value_type

Definition at line 420 of file forward_list.h.

## Constructor & Destructor Documentation

## ◆ _Node()

template<typename _ValPtr>

std::__fwdlist::_Node< _ValPtr >::_Node | ( |  | ) |
| inlinenoexcept

Definition at line 423 of file forward_list.h.

## ◆ ~_Node()

template<typename _ValPtr>

std::__fwdlist::_Node< _ValPtr >::~_Node | ( |  | ) |
| inline

Definition at line 424 of file forward_list.h.

## Member Function Documentation

## ◆ _M_base_ptr()

_Base_ptr std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >::_M_base_ptr | ( |  | ) | const
| inlineinherited

Definition at line 406 of file forward_list.h.

## ◆ _M_node_ptr()

template<typename _ValPtr>

_Node_ptr std::__fwdlist::_Node< _ValPtr >::_M_node_ptr | ( |  | ) |
| inline

Definition at line 449 of file forward_list.h.

## ◆ _M_reverse_after()

void std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >::_M_reverse_after | ( |  | ) |
| inlinenoexceptinherited

Definition at line 387 of file forward_list.h.

## ◆ _M_transfer_after()

_Base_ptr std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >::_M_transfer_after | ( | _Base_ptr | __begin,
|  | _Base_ptr | __end )
| inlinenoexceptinherited

Definition at line 372 of file forward_list.h.

## ◆ _M_valptr() [1/2]

template<typename _ValPtr>

const value_type * std::__fwdlist::_Node< _ValPtr >::_M_valptr | ( |  | ) | const
| inlinenoexcept

Definition at line 445 of file forward_list.h.

## ◆ _M_valptr() [2/2]

template<typename _ValPtr>

value_type * std::__fwdlist::_Node< _ValPtr >::_M_valptr | ( |  | ) |
| inlinenoexcept

Definition at line 441 of file forward_list.h.

## Member Data Documentation

## ◆ _M_next

_Base_ptr std::__fwdlist::_Node_base< __ptr_rebind< _ValPtr, void > >::_M_next
| inherited

Definition at line 368 of file forward_list.h.

## ◆ _M_u

template<typename _ValPtr>

_Uninit_storage std::__fwdlist::_Node< _ValPtr >::_M_u

Definition at line 438 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h